Subject: 23.1; uniquify gives *vc-dir* buffer the wrong name

From: Tom Tromey <[email-masked]>
Date: Thu, 24 Sep 2009 14:53:12 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I have a *vc-dir* buffer opened on a directory:

    VC backend : Git
    Working dir: ~/gnu/archer/archer/
    Branch     : archer-tromey-python
    [...]

And, I have:

    uniquify-buffer-name-style is a variable defined in `uniquify.el'.
    Its value is 
    post-forward-angle-brackets

    uniquify-strip-common-suffix is a variable defined in `uniquify.el'.
    Its value is t

However, the aforementioned buffer is named *vc-dir*<testsuite>.
This is simply wrong.  I think I would expect *vc-dir*<archer>.

I managed to get one named *vc-dir*</tmp> as well.  I don't know how,
but that one was also clearly wrong, as the directory in question was in
/home/tromey, not /tmp.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-26 on x86-2.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-agent-mode: t
  shell-dirtrack-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  diff-auto-refine-mode: t
  gnus-undo-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
n SPC 5 0 <return> M-> q C-v C-u C-u C-n C-u C-n C-u 
C-n n n SPC 5 0 <return> M-> C-p C-p C-p SPC E SPC 
E S-SPC E SPC q s M-v M-v M-v C-z o C-x b # g d b <return> 
d j <tab> C-a C-k I SPC r e b u i l t SPC a n d SPC 
t h e SPC t e s t SPC s t i l l SPC p a s s C-a M-f 
SPC u p d a t e d , <backspace> SPC & S-SPC M-SPC C-e 
s <backspace> e s SPC f o r SPC m e <return> <f10> 
<f10> <f10> C-z o C-l n n n M-g M-g M-g p SPC c SPC 
s C-u C-n = 9 7 <return> M-> Q y C-z o <f10> <f10> 
C-z o C-z o <f10> <f10> <f10> <switch-frame> <switch-frame> 
C-z o C-s r <backspace> f r y C-a SPC 5 0 <return> 
C-u C-n n SPC C-z o <f10> <f10> <f10> <f10> <f10> <f10> 
<f10> <f10> C-z o <help-echo> <down-mouse-5> <mouse-5> 
<double-down-mouse-5> <double-mouse-5> M SPC <down> 
<down> <down> <down> <down> SPC <down-mouse-5> <mouse-5> 
= Q y s <help-echo> C-z o <f10> <f10> <f10> <f10> <f10> 
<f10> C-x b * v c - d i r <tab> <tab> < a r <M-backspace> 
/ t <tab> <return> C-x k <return> C-x b * v c - d <tab> 
<tab> <tab> r <tab> <tab> <return> C-x k <return> C-x 
b * v c - d i r <tab> <tab> g d <tab> <return> C-x 
v * C-g C-x v d <M-backspace> <M-backspace> <M-backspace> 
<M-backspace> a r <tab> a r <tab> <return> C-x 1 C-z 
o M-x r e p o r t - e m <tab> <return> b <tab> <re
turn>

Recent messages:
Generating summary...done
Discard changes to this group and exit? (y or n) 
(No changes need to be saved)
Saving /home/tromey/.newsrc.eld...
Saving file /home/tromey/.newsrc.eld...
Wrote /home/tromey/.newsrc.eld
Saving /home/tromey/.newsrc.eld...done
Making completion list... [4 times]
Quit
Making completion list...

Tom